package com.bjzc.bhzhgd.bean;



import android.os.Parcel;
import android.os.Parcelable;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by ruihong on 2017/12/28.
 */

public class DeviceZhgdBean implements Parcelable {
    /**
     * state : 1
     * msg :
     * data : [{"JHID":"jh00000000061","JHMC":"TEST1","ST":"2017/12/20 0:00:00","ET":"2017/12/30 0:00:00","JCFW":"123123","TJR":"SH_Admin","TJSJ":"2017/12/21 16:38:57","XGR":"","XGSJ":""},{"JHID":"jh00000000072","JHMC":"test9","ST":"2017/12/13 0:00:00","ET":"2017/12/30 0:00:00","JCFW":"123","TJR":"SH_Admin","TJSJ":"2017/12/22 13:41:44","XGR":"SH_Admin","XGSJ":"2017/12/22 13:41:48"},{"JHID":"jh00000000075","JHMC":"TEST13","ST":"2017/12/7 0:00:00","ET":"2017/12/29 0:00:00","JCFW":"123","TJR":"SH_Admin","TJSJ":"2017/12/22 13:50:24","XGR":"","XGSJ":""},{"JHID":"jh00000000064","JHMC":"TEST4","ST":"2017/12/16 0:00:00","ET":"2017/12/30 0:00:00","JCFW":"123123","TJR":"SH_Admin","TJSJ":"2017/12/22 9:31:48","XGR":"","XGSJ":""},{"JHID":"jh00000000066","JHMC":"TEST5","ST":"2017/12/21 0:00:00","ET":"2018/1/6 0:00:00","JCFW":"123","TJR":"SH_Admin","TJSJ":"2017/12/22 9:56:35","XGR":"","XGSJ":""},{"JHID":"jh00000000068","JHMC":"TEST6","ST":"2017/12/22 0:00:00","ET":"2017/12/29 0:00:00","JCFW":"1111","TJR":"SH_Admin","TJSJ":"2017/12/22 10:16:42","XGR":"","XGSJ":""}]
     */

    private String code;
    private int state;
    private String msg;
    private List<DeviceBean> data;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DeviceBean> getData() {
        return data;
    }

    public void setData(List<DeviceBean> data) {
        this.data = data;
    }

    public static class DeviceBean implements Parcelable {

        private String ID;
        private String FID;

        private String JS;
        private String MC;
        private String GL;
        private String GL_J;
        private String BS;
        private String BZ;
        private String NFC;
        private String WZMS;
        private String ZRR_ID;
        private String ZRR_XM;
        private String ZRR_SJHM;
        private String TJR;
        private String XGR;
        private String XGSJ;
        private String TJSJ;
        private String DXBH;
        private List<DataBean> data;

        public String getID() {
            return ID;
        }

        public void setID(String ID) {
            this.ID = ID;
        }

        public String getFID() {
            return FID;
        }

        public void setFID(String FID) {
            this.FID = FID;
        }

        public String getJS() {
            return JS;
        }

        public void setJS(String JS) {
            this.JS = JS;
        }

        public String getMC() {
            return MC;
        }

        public void setMC(String MC) {
            this.MC = MC;
        }

        public String getGL() {
            return GL;
        }

        public void setGL(String GL) {
            this.GL = GL;
        }

        public String getGL_J() {
            return GL_J;
        }

        public void setGL_J(String GL_J) {
            this.GL_J = GL_J;
        }

        public String getBS() {
            return BS;
        }

        public void setBS(String BS) {
            this.BS = BS;
        }

        public String getBZ() {
            return BZ;
        }

        public void setBZ(String BZ) {
            this.BZ = BZ;
        }

        public String getNFC() {
            return NFC;
        }

        public void setNFC(String NFC) {
            this.NFC = NFC;
        }

        public String getWZMS() {
            return WZMS;
        }

        public void setWZMS(String WZMS) {
            this.WZMS = WZMS;
        }

        public String getZRR_ID() {
            return ZRR_ID;
        }

        public void setZRR_ID(String ZRR_ID) {
            this.ZRR_ID = ZRR_ID;
        }

        public String getZRR_XM() {
            return ZRR_XM;
        }

        public void setZRR_XM(String ZRR_XM) {
            this.ZRR_XM = ZRR_XM;
        }

        public String getZRR_SJHM() {
            return ZRR_SJHM;
        }

        public void setZRR_SJHM(String ZRR_SJHM) {
            this.ZRR_SJHM = ZRR_SJHM;
        }

        public String getTJR() {
            return TJR;
        }

        public void setTJR(String TJR) {
            this.TJR = TJR;
        }

        public String getXGR() {
            return XGR;
        }

        public void setXGR(String XGR) {
            this.XGR = XGR;
        }

        public String getXGSJ() {
            return XGSJ;
        }

        public void setXGSJ(String XGSJ) {
            this.XGSJ = XGSJ;
        }

        public String getTJSJ() {
            return TJSJ;
        }

        public void setTJSJ(String TJSJ) {
            this.TJSJ = TJSJ;
        }

        public String getDXBH() {
            return DXBH;
        }

        public void setDXBH(String DXBH) {
            this.DXBH = DXBH;
        }

        public List<DataBean> getData() {
            return data;
        }

        public void setData(List<DataBean> data) {
            this.data = data;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.ID);
            dest.writeString(this.FID);
            dest.writeString(this.JS);
            dest.writeString(this.GL_J);
            dest.writeString(this.MC);
            dest.writeString(this.BS);
            dest.writeString(this.NFC);
            dest.writeString(this.WZMS);
            dest.writeString(this.XGSJ);
            dest.writeString(this.GL);
            dest.writeString(this.ZRR_ID);
            dest.writeString(this.ZRR_XM);
            dest.writeString(this.ZRR_SJHM);
            dest.writeString(this.BZ);
            dest.writeString(this.TJSJ);
            dest.writeString(this.TJR);
            dest.writeString(this.XGR);
            dest.writeString(this.DXBH);
            dest.writeList(this.data);
        }

        public DeviceBean() {
        }

        protected DeviceBean(Parcel in) {
            this.ID = in.readString();
            this.FID = in.readString();
            this.JS = in.readString();
            this.GL_J = in.readString();
            this.MC = in.readString();
            this.BS = in.readString();
            this.NFC = in.readString();
            this.WZMS = in.readString();
            this.XGSJ = in.readString();
            this.GL = in.readString();
            this.ZRR_ID = in.readString();
            this.ZRR_XM = in.readString();
            this.ZRR_SJHM = in.readString();
            this.BZ = in.readString();
            this.TJSJ = in.readString();
            this.TJR = in.readString();
            this.XGR = in.readString();
            this.DXBH = in.readString();
            this.data = new ArrayList<DataBean>();
            in.readList(this.data, DataBean.class.getClassLoader());
        }

        public static final Creator<DeviceBean> CREATOR = new Creator<DeviceBean>() {
            @Override
            public DeviceBean createFromParcel(Parcel source) {
                return new DeviceBean(source);
            }

            @Override
            public DeviceBean[] newArray(int size) {
                return new DeviceBean[size];
            }
        };
    }

    public static class DataBean implements Parcelable {

        private String ID;
        private String PDX_ID;
        private String GSID;
        private String GSMC;
        private String MC;
        private String SL;
        private String RL;
        private String XS;
        private String XGSJ;
        private String GL;
        private String DY;
        private String KZL;
        private String ZRL;
        private String BZ;
        private String ZRR;
        private String TJSJ;
        private String TJR;
        private String YDSBDXBH;
        private String XGR;
        private String DXMC;
        private String SJHM;

        public String getID() {
            return ID;
        }

        public void setID(String ID) {
            this.ID = ID;
        }

        public String getPDX_ID() {
            return PDX_ID;
        }

        public void setPDX_ID(String PDX_ID) {
            this.PDX_ID = PDX_ID;
        }

        public String getGSID() {
            return GSID;
        }

        public void setGSID(String GSID) {
            this.GSID = GSID;
        }

        public String getGSMC() {
            return GSMC;
        }

        public void setGSMC(String GSMC) {
            this.GSMC = GSMC;
        }

        public String getMC() {
            return MC;
        }

        public void setMC(String MC) {
            this.MC = MC;
        }

        public String getSL() {
            return SL;
        }

        public void setSL(String SL) {
            this.SL = SL;
        }

        public String getRL() {
            return RL;
        }

        public void setRL(String RL) {
            this.RL = RL;
        }

        public String getXS() {
            return XS;
        }

        public void setXS(String XS) {
            this.XS = XS;
        }

        public String getXGSJ() {
            return XGSJ;
        }

        public void setXGSJ(String XGSJ) {
            this.XGSJ = XGSJ;
        }

        public String getGL() {
            return GL;
        }

        public void setGL(String GL) {
            this.GL = GL;
        }

        public String getDY() {
            return DY;
        }

        public void setDY(String DY) {
            this.DY = DY;
        }

        public String getKZL() {
            return KZL;
        }

        public void setKZL(String KZL) {
            this.KZL = KZL;
        }

        public String getZRL() {
            return ZRL;
        }

        public void setZRL(String ZRL) {
            this.ZRL = ZRL;
        }

        public String getBZ() {
            return BZ;
        }

        public void setBZ(String BZ) {
            this.BZ = BZ;
        }

        public String getZRR() {
            return ZRR;
        }

        public void setZRR(String ZRR) {
            this.ZRR = ZRR;
        }

        public String getTJSJ() {
            return TJSJ;
        }

        public void setTJSJ(String TJSJ) {
            this.TJSJ = TJSJ;
        }

        public String getTJR() {
            return TJR;
        }

        public void setTJR(String TJR) {
            this.TJR = TJR;
        }

        public String getYDSBDXBH() {
            return YDSBDXBH;
        }

        public void setYDSBDXBH(String YDSBDXBH) {
            this.YDSBDXBH = YDSBDXBH;
        }

        public String getXGR() {
            return XGR;
        }

        public void setXGR(String XGR) {
            this.XGR = XGR;
        }

        public String getDXMC() {
            return DXMC;
        }

        public void setDXMC(String DXMC) {
            this.DXMC = DXMC;
        }

        public String getSJHM() {
            return SJHM;
        }

        public void setSJHM(String SJHM) {
            this.SJHM = SJHM;
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.ID);
            dest.writeString(this.PDX_ID);
            dest.writeString(this.GSID);
            dest.writeString(this.GSMC);
            dest.writeString(this.MC);
            dest.writeString(this.SL);
            dest.writeString(this.RL);
            dest.writeString(this.XS);
            dest.writeString(this.XGSJ);
            dest.writeString(this.GL);
            dest.writeString(this.DY);
            dest.writeString(this.KZL);
            dest.writeString(this.ZRL);
            dest.writeString(this.BZ);
            dest.writeString(this.ZRR);
            dest.writeString(this.TJSJ);
            dest.writeString(this.TJR);
            dest.writeString(this.YDSBDXBH);
            dest.writeString(this.XGR);
            dest.writeString(this.DXMC);
            dest.writeString(this.SJHM);
        }

        public DataBean() {
        }

        protected DataBean(Parcel in) {
            this.ID = in.readString();
            this.PDX_ID = in.readString();
            this.GSID = in.readString();
            this.GSMC = in.readString();
            this.MC = in.readString();
            this.SL = in.readString();
            this.RL = in.readString();
            this.XS = in.readString();
            this.XGSJ = in.readString();
            this.GL = in.readString();
            this.DY = in.readString();
            this.KZL = in.readString();
            this.ZRL = in.readString();
            this.BZ = in.readString();
            this.ZRR = in.readString();
            this.TJSJ = in.readString();
            this.TJR = in.readString();
            this.YDSBDXBH = in.readString();
            this.XGR = in.readString();
            this.DXMC = in.readString();
            this.SJHM = in.readString();
        }

        public static final Creator<DataBean> CREATOR = new Creator<DataBean>() {
            @Override
            public DataBean createFromParcel(Parcel source) {
                return new DataBean(source);
            }

            @Override
            public DataBean[] newArray(int size) {
                return new DataBean[size];
            }
        };
    }
    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.code);
        dest.writeInt(this.state);
        dest.writeString(this.msg);
        dest.writeList(this.data);
    }

    public DeviceZhgdBean() {
    }

    protected DeviceZhgdBean(Parcel in) {
        this.code = in.readString();
        this.state = in.readInt();
        this.msg = in.readString();
        this.data = new ArrayList<DeviceBean>();
        in.readList(this.data, DeviceBean.class.getClassLoader());
    }

    public static final Creator<DeviceZhgdBean> CREATOR = new Creator<DeviceZhgdBean>() {
        @Override
        public DeviceZhgdBean createFromParcel(Parcel source) {
            return new DeviceZhgdBean(source);
        }

        @Override
        public DeviceZhgdBean[] newArray(int size) {
            return new DeviceZhgdBean[size];
        }
    };
}